ppx_inline_test

Syntax extension for writing in-line tests in ocaml code
Description

Part of the Jane Street's PPX rewriters collection.

Install
Published
28 Apr 2016
Authors
Maintainers
Sources
ppx_inline_test-113.33.03.tar.gz
md5=6abbbcbe8aefbb9d30721e252cd5c7f4
Dependencies
ppx_tools >= "0.99.3"
ppx_driver >= "113.33.03" & < "113.34.00"
ppx_core >= "113.33.03" & < "113.34.00"
js-build-tools build & >= "113.33.04" & < "113.34.00"
ocamlfind build & >= "1.3.2"
ocaml = "4.02.3"
Reverse Dependencies
alba >= "0.4.1" & < "0.4.3"
async >= "113.33.00" & < "v0.9.0"
async_extended >= "113.33.00" & < "v0.9.0"
async_extra >= "113.33.00" & < "v0.9.0"
async_find >= "113.33.00" & < "v0.9.0"
async_inotify >= "113.33.00" & < "v0.9.0"
async_kernel >= "113.33.00" & < "v0.9.0"
async_parallel >= "113.33.00" & < "v0.9.0"
async_rpc_kernel >= "113.33.00" & < "v0.9.0"
async_shell >= "113.33.00" & < "v0.9.0"
async_smtp >= "113.33.00" & < "v0.9.0"
async_ssl >= "113.33.00" & < "v0.9.0"
async_unix >= "113.33.00" & < "v0.9.0"
aws-s3 >= "4.0.0"
bignum >= "113.33.00" & < "v0.9.0"
core >= "113.33.00" & < "v0.9.0"
core_bench >= "113.33.00" & < "v0.9.0"
core_extended >= "113.33.00" & < "v0.9.0"
core_kernel >= "113.33.00" & < "v0.9.0"
core_profiler >= "113.33.00" & < "v0.9.0"
electrod >= "0.1.6" & < "0.5"
email_message >= "113.33.00" & < "v0.9.0"
ez_cmdliner >= "0.2.0"
ez_config >= "0.2.0"
ez_file >= "0.2.0"
ez_hash < "0.5.3"
GT >= "0.5.0"
guardian < "0.0.5"
hdf5 >= "0.1.5"
incremental >= "113.33.00" & < "v0.9.0"
jenga >= "113.33.00" & < "v0.9.0"
lablqml >= "0.7"
nuscr < "2.0.0"
OCanren >= "0.3.0~alpha1"
OCanren-ppx >= "0.3.0~alpha1"
ocaml_plugin >= "113.33.00" & < "v0.9.0"
ocplib_stuff >= "0.3.0"
opam-bin >= "0.9.5"
opam_bin_lib >= "0.9.5"
patdiff >= "113.33.00" & < "v0.9.0"
patience_diff >= "113.33.00" & < "v0.9.0"
ppx_bench >= "113.33.00" & < "v0.9.0"
ppx_expect >= "113.33.00" & < "v0.9.0"
ppx_jane >= "113.33.00" & < "v0.9.0"
psmt2-frontend >= "0.3.0"
re2 >= "113.33.00" & < "v0.9.0"
rpc_parallel >= "113.33.00" & < "v0.9.0"
satyrographos < "0.0.1.5"
sqlite3 >= "5.0.1"
textutils >= "113.33.00" & < "v0.9.0"
tezos-client-009-PsFLoren >= "10.2" & < "14.0"
tezos-client-alpha >= "10.2" & < "14.0"
tezos-micheline >= "9.0" & < "14.0"
tezos-stdlib >= "9.0" & < "14.0"